Bug 2919 - [UPDATE REQUEST] [UPSTREAM UPDATE] samba
: [UPDATE REQUEST] [UPSTREAM UPDATE] samba
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 14:32 MSD by Andrew Lukoshko
Modified: 2013-11-13 17:33 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-10-18 14:32:17 MSD
* An attempt to execute the wkssvc_NetWkstaEnumUsers RPC command without a
pointer to the resume handle caused the smbd daemon to terminate with a
segmentation fault. Consequently, the client was disconnected. With this update,
the underlying source code has been adapted to verify that the pointer
is valid before attempting to dereference it. As a result, smbd no longer
crashes in this situation.

http://rhn.redhat.com/errata/RHBA-2013-1246.html

https://abf.rosalinux.ru/build_lists/1335772
https://abf.rosalinux.ru/build_lists/1335773
Comment 1 Alexander Petryakov 2013-10-21 03:03:40 MSD
samba-3.6.9-151.res6.1
*********************** RHEL Advisory *************************
* An attempt to execute the wkssvc_NetWkstaEnumUsers RPC command without a
pointer to the resume handle caused the smbd daemon to terminate with a
segmentation fault. Consequently, the client was disconnected. With this update,
the underlying source code has been adapted to verify that the pointer
is valid before attempting to dereference it. As a result, smbd no longer
crashes in this situation.

***************************************************************
QA Verified